# Class Renderer

- Defined in index.ts:424

#####
Index

### Constructors

constructor

### Properties

options

### Methods

addEntityLink
addLink
addNewlines
addText
toString

##
Constructors

### constructor

- new Renderer(options: RenderOptions ): Renderer

- #### Parameters

  - options: RenderOptions

  #### Returns Renderer

  - Defined in index.ts:427

##
Properties

### `Readonly` options

options: RenderOptions

- Defined in index.ts:427

##
Methods

### addEntityLink

- addEntityLink(entity: string): void

- #### Parameters

  - entity: string

  #### Returns void

  - Defined in index.ts:449

### addLink

- addLink(href: string, display: string): void

- #### Parameters

  - href: string
  - display: string

  #### Returns void

  - Defined in index.ts:445

### addNewlines

- addNewlines(count: number): void

- #### Parameters

  - count: number

  #### Returns void

  - Defined in index.ts:439

### addText

- addText(value: string): void

- #### Parameters

  - value: string

  #### Returns void

  - Defined in index.ts:431

### toString

- toString(): string

- #### Returns string

  - Defined in index.ts:429